cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Highlighted
Newbie
Newbie
13,144 Views
Registered: ‎03-05-2008

EDK 9.2i In Vista Buisness x64

Hi,
 
Is there any way to get EDK 9.2i to install in Vista Buisness x64?  I know it is not supported, but that's also what they said about ISE 9.2i and I have that running in Vista right now...
 
Thanks,
John
0 Kudos
7 Replies
Highlighted
Visitor
Visitor
13,084 Views
Registered: ‎03-27-2008

Just curious, how did you even get ISE to run in Vista X64?
0 Kudos
Highlighted
Newbie
Newbie
13,073 Views
Registered: ‎03-05-2008

I didn't do anything special.  I just installed it from the DVD, that's why I'm confused about why it's not supposed to work.  Now I'm not sure if it will function completely correct because the file browser when you open a project is a little messed up, but the program runs.  I run it from XP off my laptop instead since I don't trust it in Vista right now anyway... 
0 Kudos
Highlighted
Adventurer
Adventurer
13,061 Views
Registered: ‎03-29-2008

OK, a new version of the same question.  Vista-64 and EDK 10.1.  Most of the tools run fine in Vista64, ISE, Planahead and CSP are all rated to run in it.  But when I tried to install EDK the installer just dies. 
 
Has anyone figured out how to make it work yet? Best I Idea I have is to run the free uSoft vitual machine under Vista64 and then install XP 32 bit in that and install EDK and ISE in the VM.  I have not ttried it yet in 10.1 but I had it working in 9.2 so it should go again.  The down side with this idea is that the virtual machine really kills the performece of the tools.  To help that I run the ISE side in Vista (ISE double installed (I am sure glad disk is cheap)) and run XPS in the VM shell.
 
Not an elegant solution and I am hoping for better but until then it is what I have. 
 
Looking forward to ideas.
 
Nick
 
 
 
 
0 Kudos
Highlighted
Participant
Participant
10,099 Views
Registered: ‎10-29-2008

I have the same problem -- I'm on Vista-64 Home Premium and ISE 10.1 will run but the installer for EDK just dies when I click on it.  There's no window, no message, nothing.  I have tried disabling UAC, run as administrator, etc. and I can't seem to get it to start.  There is no upgrade path from Home Premium to Vista Business (you would lose the multimedia features) but I could go to Ultimate, but I'm not convinced this will help.

 

Steve

0 Kudos
Highlighted
Newbie
Newbie
9,746 Views
Registered: ‎12-28-2008

I have installed EDK 10.1 on vista 64 Ultimate. I run the Setup.exe on directory bin\nt. All is good. But I have another problem ,The Impact tools can not find the Platform Cable USB II.
0 Kudos
Highlighted
Newbie
Newbie
8,854 Views
Registered: ‎08-22-2008

Yep, 10.1 can install just fine on x64 with a little kick in the pants here and there, however there is no solution for the USB connectivity.  So you can do all the development you want on your x64 machine and when it comes to the last step of getting the EDK to connect and download your software, guess what.... they can't open the USB port. Funny thing is the iMPACT 64bit version works just fine  and you can burn all the CPLD's and load FPGA's no problem, just can't use the EDK to do anything other than druel, cause you arn't going to get your EDK software onto your target.  And even if you somehow get your code to your target machine XMD is not going to connect either so no software debugger available.

 

Best solution is purchase another expensive development system that is Win32, then have side-by-side platform.  One to download and have your Xilinx Development system on, and the X64 one as your target.  If like our company, and your target must be x64, then you need to keep your Source Code Control system real busy sync'en files so that your host development side can work with your target development side.  It's a real pain, and very expensive method and you will need at least two normal desks just to hold all the stuff needed (especially if you like Dual Monitors on your Development system(s)).

 

Xilinx 11.1 just came out, wonder if they have fixed it there.

 

Tags (5)
0 Kudos
Highlighted
Anonymous
Not applicable
8,828 Views

From what i understand in the relaeased pdf, edk 11.1 still won't be supported under x64 ...

What we only need is a x64 version of XMD, nothing more

 

Tags (3)
0 Kudos